Subject: Re: [BEHAVE] draft-xu-behave-nat-state-sync-00

From: "Dan Wing" <[email-masked]>
Date: Fri, 12 Feb 2010 13:24:16 -0800

> -----Original Message-----
> From: Dan Wing [mailto:[email-masked]] 
> Sent: Wednesday, November 25, 2009 5:58 PM
> To: 'Dave Thaler'; 'Brian E Carpenter'; 'Dean Cheng'
> Cc: [email-masked]'
> Subject: RE: [BEHAVE] draft-xu-behave-nat-state-sync-00
> 
>  
> 
> > -----Original Message-----
> > From: [email-masked] 
> > [mailto:[email-masked]] On Behalf Of Dave Thaler
> > Sent: Wednesday, November 25, 2009 3:32 PM
> > To: Brian E Carpenter; Dean Cheng
> > Cc: [email-masked]
> > Subject: Re: [BEHAVE] draft-xu-behave-nat-state-sync-00
> > 
> > Some other references:
> > http://genie.iitd.ernet.in/wipo/report/node28.html seems to use
> > it for mailbox sync in another thesis (with WinCE & Linux) in 2004.
> > 
> > http://www.netlab.tkk.fi/tutkimus/ipana/paperit/spiejose2.ppt
> > discusses an implementation in 1999.
> > 
> > It also looks like Nortel might have IPR in this area:
> > http://www.google.com/patents/about?id=YKYIAAAAEBAJ
> > although I don't see anything in the IETF IPR database.
> 
> Cisco apparently, too.  I just asked the inventors to work 
> with Cisco legal to get an IPR declaration issued if one is necessary.

Cisco's IPR declaration on draft-xu-behave-nat-state-sync-00.txt:

https://datatracker.ietf.org/ipr/search/?option=document_search&document_searc
h=draft-xu-behave-nat-state-sync-00.txt
https://datatracker.ietf.org/ipr/1261/

-d

> -d
> 
> 
> > -Dave
> > 
> > > -----Original Message-----
> > > From: [email-masked] [mailto:[email-masked]] On
> > > Behalf Of Brian E Carpenter
> > > Sent: Thursday, November 12, 2009 8:13 PM
> > > To: Dean Cheng
> > > Cc: [email-masked]
> > > Subject: Re: [BEHAVE] draft-xu-behave-nat-state-sync-00
> > > 
> > > It seems there was SCSP code in BSD some years ago, as part of the
> > > ATM support:
> > > 
> > > http://www.freebsd.org/releases/3.0R/notes.html
> > > 
> > > Also for Linux, it seems to be tied to ATM:
> > > 
> > > http://www.digipedia.pl/man/doc/view/scspd.8.html
> > > 
> > > I also found an MSc thesis discussing SCSP in SunOS 5.6.
> > > 
> > > Regards
> > >    Brian
> > > 
> > > On 2009-11-13 15:25, Dean Cheng wrote:
> > > > Brian,
> > > >
> > > >> -----Original Message-----
> > > >> From: [email-masked] 
> [mailto:[email-masked]] On
> > > Behalf
> > > > Of
> > > >> Brian E Carpenter
> > > >> Sent: Thursday, November 12, 2009 5:55 PM
> > > >> To: [email-masked]
> > > >> Subject: [BEHAVE] draft-xu-behave-nat-state-sync-00
> > > >>
> > > >> My question about this draft is whether there is available code
> > > >> and implementation experience with SCSP, which was 
> > defined in 1998.
> > > >
> > > > I don't know personally whether there is any available code, but
> > > > RFC2335 and RFC2443 documented two separate applications 
> > using SCSP,
> > > > although also about 10 years ago.
> > > >
> > > > However, SCSP (as mentioned in my presentation) itself heavily
> > > > "borrowed" link-state based algorithm and mechanisms from 
> > OSPF/ISIS
> > > > (also defined in 90's or earlier) that have been widely deployed
> > > since.
> > > >
> > > >> If there isn't code and experience, since it is a quite complex
> > > >> design, I would be a bit worried.
> > > >>
> > > >> On the other hand, I believe that something of the complexity
> > > >> of SCSP is absolutely required to provide reliable 
> > synchronisation.
> > > >> There is no simple, lightweight way to do this reliably.
> > > >
> > > > Totally agreed.
> > > >
> > > > Dean
> > > >
> > > >>     Brian
> > > >>
> > > >> _______________________________________________
> > > >> Behave mailing list
> > > >> [email-masked]
> > > >> https://www.ietf.org/mailman/listinfo/behave
> > > >
> > > >
> > > _______________________________________________
> > > Behave mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/behave
> > 
> > _______________________________________________
> > Behave mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/behave
>